#ifndef _HITBOX_H_
#define _HITBOX_H_

#include "allegro.h"
#include <vector>
using namespace std;

class hitbox {

public:

  //constructor
  hitbox ();

  //destructor
  ~hitbox ();

  int checkCollide (int, bool);
  void addCollide (int, int, bool);

  int damageDealt;
  int knockbackType;
  fixed knockbackAbsAngle;
  fixed knockbackAbsMag;
  int knockbackDrift;
  int knockbackStun;

  int unitGeneralType;

  vector <int> * statusAilmentDmg;

protected:
  vector <int> * collideTypes;
  vector <int> * collideAction;

  vector <int> * stunCollideTypes;
  vector <int> * stunCollideAction;
};

#endif
